#include <iostream>
#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n, k, x;
    cin >> n >> k >> x;

    vector<int> p(n);

    for(int i = 0; i < n; i++)
            cin >> p[i];

    for(int i = 0; i < n - k + 1; i++)
    {
        vector<int> stanja(k + 1);

        stanja[k] = 0;
        stanja[k - 1] = p[i + k - 1];

        for(int j = k - 2; j >= 0; j--)
        {
            stanja[j] = stanja[j + 1] + p[j + i];
        }

        vector<int> cuvar_indeksa(k + 1);

        for(int j = 0; j < k + 1; j++)
            cuvar_indeksa[j] = j;

        sort(cuvar_indeksa.begin(), cuvar_indeksa.end(), [&stanja] (int a, int b)
             {
                 return stanja[a] > stanja[b];
             });

        vector<bool> x_najvecih_stanja(k + 1, false);

        for(int j = 0; j < x - 1; j++)
        {
            x_najvecih_stanja[cuvar_indeksa[j]] = true;
        }

        int sum = stanja[0];

        for(int j = 1; j < k + 1; j++)
        {
            if(x_najvecih_stanja[j])
            {
                sum += stanja[j];
            }
        }

        cout << sum << " ";
    }


    return 0;
}